petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPLCD

Implements the LCD (left conjugate direction) method in PETSc.

### Options Database Keys

| -ksp_lcd_restart | - number of vectors conjudate Many br
| -ksp_lcd_haptol | - tolerance for exact convergence (happing ending) Many br

Many br

Notes: Support only for left preconditioning Many br

### References

| 1. | - J.Y. Yuan, G.H.Golub, R.J. Plemmons, and W.A.G. Cecilio. Semiconjugate Many brdirection methods for real positive definite system. BIT Numerical Many brMathematics, 44(1),2004. Many br
| 2. | - Y. Dai and J.Y. Yuan. Study on semiconjugate direction methods for Many brnonsymmetric systems. International Journal for Numerical Methods in Many brEngineering, 60, 2004. Many br
| 3. | - L. Catabriga, A.L.G.A. Coutinho, and L.P.Franca. Evaluating the LCD Many bralgorithm for solving linear systems of equations arising from implicit Many brSUPG formulation of compressible flows. International Journal for Many brNumerical Methods in Engineering, 60, 2004 Many br
| 4. | - L. Catabriga, A. M. P. Valli, B. Z. Melotti, L. M. Pessoa, Many brA. L. G. A. Coutinho, Performance of LCD iterative method in the finite Many brelement and finite difference solution of convection diffusion Many brequations, Communications in Numerical Methods in Engineering, (Early Many brView). Many br

Contributed by: Lucia Catabriga <luciac@ices.utexas.edu> Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPCGSetType(), KSPLCDSetRestart(), KSPLCDSetHapTol() Many br

Level:beginner
Location:src/ksp/ksp/impls/lcd/lcd.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages